summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--net-analyzer/netwatch/ChangeLog8
-rw-r--r--net-analyzer/netwatch/Manifest4
-rw-r--r--net-analyzer/netwatch/metadata.xml5
-rw-r--r--net-analyzer/netwatch/netwatch-1.2.0.2.ebuild34
4 files changed, 51 insertions, 0 deletions
diff --git a/net-analyzer/netwatch/ChangeLog b/net-analyzer/netwatch/ChangeLog
new file mode 100644
index 000000000..6eaf6d90b
--- /dev/null
+++ b/net-analyzer/netwatch/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for net-analyzer/netwatch
+# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 08 Nov 2008; Christian Ruppert (idl0r) <spooky85@gmail.com>
+ +netwatch-1.2.0.2.ebuild, +metadata.xml:
+ New Ebuild for bug 246071
+
diff --git a/net-analyzer/netwatch/Manifest b/net-analyzer/netwatch/Manifest
new file mode 100644
index 000000000..44f4491b5
--- /dev/null
+++ b/net-analyzer/netwatch/Manifest
@@ -0,0 +1,4 @@
+DIST netwatch-1.2.0-2.tgz 203359 RMD160 9a40e6eda63592673522e4c5e149f680a3bb9247 SHA1 192b94e212076d3630b7c25dae98764b4eb9e11c SHA256 dbfdb1b8bfe3389a3cfe1cdb4da87c75fcb7bc704f37192bb27bdc911abb5f5e
+EBUILD netwatch-1.2.0.2.ebuild 782 RMD160 aa98013051e9646238b6df3e40ee52b2c0c66d8d SHA1 0cd0cbde9c9520c9086143276a81fb78a9a25e48 SHA256 96a1973f79439d00f74e097335ca194dcb0a9ae143aa31126b05cc371e53f943
+MISC ChangeLog 256 RMD160 0a422747f2ffbc02494f84209d77a49ac16d0b4a SHA1 0712fad5fd0cc28f20a90bf1c02d06e707131a00 SHA256 001e8229e757a63cd9385528244fe77f87d0ba4defa3af6444fef9585899a66d
+MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
diff --git a/net-analyzer/netwatch/metadata.xml b/net-analyzer/netwatch/metadata.xml
new file mode 100644
index 000000000..7e3286984
--- /dev/null
+++ b/net-analyzer/netwatch/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>maintainer-wanted</herd>
+</pkgmetadata>
diff --git a/net-analyzer/netwatch/netwatch-1.2.0.2.ebuild b/net-analyzer/netwatch/netwatch-1.2.0.2.ebuild
new file mode 100644
index 000000000..8a9e4b10f
--- /dev/null
+++ b/net-analyzer/netwatch/netwatch-1.2.0.2.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit versionator
+
+MY_PV=$(replace_version_separator 3 '-')
+
+DESCRIPTION="Ethernet/PPP IP Packet Monitor"
+HOMEPAGE="http://www.slctech.org/~mackay/netwatch.html"
+SRC_URI="http://www.slctech.org/~mackay/NETWATCH/${PN}-${MY_PV}.tgz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc"
+
+RDEPEND="sys-libs/ncurses"
+DEPEND="${RDEPEND}
+ sys-kernel/linux-headers"
+
+S=${WORKDIR}/${PN}-$(get_version_component_range 1-3)
+
+src_install() {
+ dobin netresolv netwatch || die "dobin failed"
+
+ doman netwatch.1 || die "doman failed"
+ dodoc BUGS CHANGES README* TODO || die "dodoc failed"
+
+ if use doc; then
+ dohtml NetwatchKeyCommands.html || die "dohtml failed"
+ fi
+}
+